Bug 188372 - system-config-network deletes ipv6 entries from /etc/hosts
system-config-network deletes ipv6 entries from /etc/hosts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On: 198898
Blocks: 87718
  Show dependency treegraph
 
Reported: 2006-04-08 13:56 EDT by Wolfgang Rupprecht
Modified: 2008-01-11 17:20 EST (History)
0 users

See Also:
Fixed In Version: 1.4.7-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 17:20:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
testfile that shows the problem (10.06 KB, text/plain)
2006-04-08 14:13 EDT, Wolfgang Rupprecht
no flags Details

  None (edit)
Description Wolfgang Rupprecht 2006-04-08 13:56:30 EDT
Description of problem:
system-config-network deletes ipv6 entries from /etc/hosts

Version-Release number of selected component (if applicable):
yum updated fc5 current as of this bug report.

How reproducible:
100% reproducible

Steps to Reproduce:
1. create an /etc/hosts file that contains ~150 lines with v6 and v4
addresses alternating as such:

1234:5678:9abc:def0::5	foo5.example.org  foo5 foo5-v6
10.0.0.5		foo5.example.org  foo5 foo5-v4

2. start system-config-netork
3. do some noop and hit "save" in the file menu
4. look at /etc/hosts and notice the v6 addresses are now missing.
  
Actual results:

/etc/hosts has had the v6 addresses edited out.

Expected results:

No change to /etc/hosts

Additional info:
Comment 1 Wolfgang Rupprecht 2006-04-08 14:13:01 EDT
Created attachment 127510 [details]
testfile that shows the problem
Comment 2 Fedora Update System 2007-12-06 15:44:50 EST
system-config-network-1.4.7-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'
Comment 3 Fedora Update System 2008-01-11 17:20:26 EST
system-config-network-1.4.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.